Loading...
Searching...
No Matches
OcsdLibDcdRegister Class Reference

`#include <ocsd_lib_dcd_register.h>`

## Public Member Functions

const ocsd_err_t | registerDecoderTypeByName (const std::string &name, IDecoderMngr *p_decoder_fact)
| register a decoder manager interface
const ocsd_err_t | getDecoderMngrByName (const std::string &name, IDecoderMngr **p_decoder_mngr)
const ocsd_err_t | getDecoderMngrByType (const ocsd_trace_protocol_t decoderType, IDecoderMngr **p_decoder_mngr)
const bool | isRegisteredDecoder (const std::string &name)
const bool | getFirstNamedDecoder (std::string &name)
const bool | getNextNamedDecoder (std::string &name)
const bool | isRegisteredDecoderType (const ocsd_trace_protocol_t decoderType)

## Static Public Member Functions

static OcsdLibDcdRegister * | getDecoderRegister ()
static void | deregisterAllDecoders ()
| library cleanup - deregisters decoder managers and destroys the register object.
static const ocsd_trace_protocol_t | getNextCustomProtocolID ()
static void | releaseLastCustomProtocolID ()

## Detailed Description

with the library

library decoder register class allows decoders to be registered by name, and the register allows clients to access the list of names of registerd decoders.

The decoders in the library are accessed through the decoder manager interface. This provides a set of functions to allow the creation, manipulation and destruction of registered decoders

Definition at line 54 of file ocsd_lib_dcd_register.h.

## Member Function Documentation

## deregisterAllDecoders()

static void OcsdLibDcdRegister::deregisterAllDecoders | ( |  | ) |

static

library cleanup - deregisters decoder managers and destroys the register object.

## getDecoderMngrByName()

const ocsd_err_t OcsdLibDcdRegister::getDecoderMngrByName | ( | const std::string & | name,
|  | IDecoderMngr ** | p_decoder_mngr
| ) |  |

## getDecoderMngrByType()

const ocsd_err_t OcsdLibDcdRegister::getDecoderMngrByType | ( | const ocsd_trace_protocol_t | decoderType,
|  | IDecoderMngr ** | p_decoder_mngr
| ) |  |

## getDecoderRegister()

static OcsdLibDcdRegister * OcsdLibDcdRegister::getDecoderRegister | ( |  | ) |

static

Here is the caller graph for this function:

## getFirstNamedDecoder()

const bool OcsdLibDcdRegister::getFirstNamedDecoder | ( | std::string & | name | ) |

## getNextCustomProtocolID()

static const ocsd_trace_protocol_t OcsdLibDcdRegister::getNextCustomProtocolID | ( |  | ) |

static

## getNextNamedDecoder()

const bool OcsdLibDcdRegister::getNextNamedDecoder | ( | std::string & | name | ) |

## isRegisteredDecoder()

const bool OcsdLibDcdRegister::isRegisteredDecoder | ( | const std::string & | name | ) |

## isRegisteredDecoderType()

const bool OcsdLibDcdRegister::isRegisteredDecoderType | ( | const ocsd_trace_protocol_t | decoderType | ) |

## registerDecoderTypeByName()

const ocsd_err_t OcsdLibDcdRegister::registerDecoderTypeByName | ( | const std::string & | name,
|  | IDecoderMngr * | p_decoder_fact
| ) |  |

register a decoder manager interface

Here is the caller graph for this function:

## releaseLastCustomProtocolID()

static void OcsdLibDcdRegister::releaseLastCustomProtocolID | ( |  | ) |

static

The documentation for this class was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/common/ocsd_lib_dcd_register.h